## mars.mips.instructions.syscalls
Class SyscallNumberOverride

    java.lang.Object
      mars.mips.instructions.syscalls.SyscallNumberOverride

    public class SyscallNumberOverride

extends Object

Represents User override of default syscall number assignment. Such overrides are specified in the config.txt file read when MARS starts up.

Constructor Summary
`SyscallNumberOverride(String serviceName, String value)` Constructor is called with two strings: service name and desired number.

Method Summary
`String` `getName()` Get the service name as a String.
`int` `getNumber()` Get the new service number as an int.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallNumberOverride

    public SyscallNumberOverride(String serviceName,
                                 String value)

  Constructor is called with two strings: service name and desired number. Will throw an exception is number is malformed, but does not check validity of the service name or number.

  Parameters:
    `serviceName` - a String containing syscall service mnemonic.
    `value` - a String containing its reassigned syscall service number. If this number is previously assigned to a different syscall which does not also receive a new number, then an error for duplicate numbers will be issued at MARS launch.

Method Detail

### getName

    public String getName()

  Get the service name as a String.

  Returns:
    the service name

### getNumber

    public int getNumber()

  Get the new service number as an int.

  Returns:
    the service number